classification
Title: Docs layout bug
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Manvi B, docs@python, ezio.melotti, georg.brandl, python-dev, reag, willingc
Priority: normal Keywords: easy, patch

Created on 2015-08-23 20:20 by reag, last changed 2016-03-13 09:44 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
Screenshot 2015-08-23 16.55.34.png willingc, 2015-08-23 20:59
issue24918.diff Manvi B, 2016-01-09 12:29
issue24918.diff Manvi B, 2016-01-09 12:37
Messages (9)
msg249018 - (view) Author: asldkjfn (reag) Date: 2015-08-23 20:20
Green bars cover yellow text box. 
https://docs.python.org/2/faq/windows.html
msg249020 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-08-23 20:59
The highlighting of code box extends beyond the bounds of the box to the far right of the page. A screenshot is attached as an example. The behavior occurs on all versions (3.2+, 2.7.x) except 2.6.

Thanks for reporting this issue.
msg257821 - (view) Author: Manvi B (Manvi B) * Date: 2016-01-09 12:29
Fixed by using "display:inline" in ".highlight" class.
msg257822 - (view) Author: Manvi B (Manvi B) * Date: 2016-01-09 12:37
Fixed by using "background: none" in ".highlight" class.
msg257823 - (view) Author: Manvi B (Manvi B) * Date: 2016-01-09 12:46
Both solutions msg257821, msg257822 seems to fix the issue.
msg258024 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-11 21:36
Georg, do you have any opinion on this?
AFAIK all the div.highlight contain a <pre> with the actual code and it's own background color, so using background: none; should be fine.
msg258081 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-01-12 08:56
If it works...
msg261688 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-13 09:43
New changeset 78e9c18d3e5b by Ezio Melotti in branch '3.5':
#24918: fix CSS for code blocks when a side box is present.  Patch by Manvi B.
https://hg.python.org/cpython/rev/78e9c18d3e5b

New changeset 444d80ae123e by Ezio Melotti in branch 'default':
#24918: merge with 3.5.
https://hg.python.org/cpython/rev/444d80ae123e

New changeset e3833106f612 by Ezio Melotti in branch '2.7':
#24918: fix CSS for code blocks when a side box is present.  Patch by Manvi B.
https://hg.python.org/cpython/rev/e3833106f612
msg261689 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-03-13 09:44
Fixed, thanks for the report and the patch(es)!
History
Date User Action Args
2016-03-13 09:44:42ezio.melottisetstatus: open -> closed
messages: + msg261689

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: patch review -> resolved
2016-03-13 09:43:04python-devsetnosy: + python-dev
messages: + msg261688
2016-01-12 08:56:15georg.brandlsetmessages: + msg258081
2016-01-11 21:36:37ezio.melottisetnosy: + georg.brandl

messages: + msg258024
stage: needs patch -> patch review
2016-01-09 13:50:38ezio.melottilinkissue25730 superseder
2016-01-09 12:46:38Manvi Bsetmessages: + msg257823
2016-01-09 12:37:03Manvi Bsetfiles: + issue24918.diff

messages: + msg257822
2016-01-09 12:29:18Manvi Bsetfiles: + issue24918.diff

nosy: + Manvi B
messages: + msg257821

keywords: + patch
2016-01-04 00:15:47ezio.melottisetkeywords: + easy
nosy: + ezio.melotti

versions: - Python 3.2, Python 3.3, Python 3.4
2015-08-23 20:59:59willingcsetfiles: + Screenshot 2015-08-23 16.55.34.png

type: behavior
versions: + Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 3.6
nosy: + willingc

messages: + msg249020
stage: needs patch
2015-08-23 20:20:07reagcreate